For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
              • GETList Placements
              • POSTCreate Placement
              • GETGet Placement
              • PUTUpdate Placement
              • DELDelete Placement
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentWidgetsPlacement

Create Placement

POST
https://api.bigcommerce.com/stores/:store_hash/v3/content/placements
POST
/stores/:store_hash/v3/content/placements
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/content/placements \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "template_file": "string",
> "widget_uuid": "string"
>}'
1{
2 "data": {
3 "channel_id": 1,
4 "date_created": "2020-12-21T20:43:16.796Z",
5 "date_modified": "2020-12-21T20:43:16.796Z",
6 "entity_id": "21",
7 "region": "category_header_banner",
8 "sort_order": 1,
9 "status": "active",
10 "template_file": "pages/category",
11 "uuid": "89eac5b3-91d7-48e5-92e7-ff53ecf07f8c",
12 "widget": {
13 "channel_id": 1,
14 "date_created": "2020-12-21T19:54:16.406Z",
15 "date_modified": "2020-12-21T20:40:45.173Z",
16 "description": "",
17 "name": "Header Images",
18 "uuid": "1f05183e-dfa4-4583-af28-250b47e177b2",
19 "version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
20 "widget_configuration": {
21 "_": {
22 "id": "1f05183e-dfa4-4583-af28-250b47e177b2"
23 },
24 "images": [
25 {
26 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
27 },
28 {
29 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/500x659/products/85/282/livingwithplants_grande__26452.1456436666.jpg?c=2&imbypass=on"
30 },
31 {
32 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
33 }
34 ]
35 },
36 "widget_template": {
37 "current_version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
38 "date_created": "2020-12-21T19:49:29.110Z",
39 "date_modified": "2020-12-21T19:49:29.110Z",
40 "icon_name": "default",
41 "kind": "custom",
42 "name": "Header Images",
43 "schema": [],
44 "storefront_api_query": "",
45 "template": "{{#each images}}{{/each}}",
46 "uuid": "f8459145-da8f-4d98-93e4-83aa47da61c6",
47 "channel_id": 1,
48 "client_rerender": false,
49 "template_engine": "handlebars_v3"
50 },
51 "storefront_api_query_params": {}
52 }
53 },
54 "meta": {}
55}

Creates a Placement.

Template Files

To view the list of values accepted by the template_file property, including custom templates, see Placements.

Was this page helpful?
Previous

List Placements

Next

Get Placement

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
template_filestringRequired
The template file that you would like to target.
widget_uuidstringRequired
A widget identifier.
channel_idintegerOptional
The id of the channel on which to create this placement. Defaults to the first channel created on the store.
entity_idstringOptional

The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id.

regionstringOptional
The name of the region in which to insert content widgets.
sort_orderintegerOptional
The sort order to control the position of a content widget in a region.
statusenumOptionalDefaults to inactive
Sets the placement as either inactive or active.
Allowed values:

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.